Skip to main content
Version: 1.5.3

HMAC SHA256 - List all user's shares

GET 

/hmac-sha256/list-key-shares

notice

This API endpoint part of the Exchange API Vault. Please contact the Sodot team for access.

authorization

This API endpoint requires an API Key with at least one of the following Roles: KeysManager

Lists all the key shares associated with an authenticated user.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Responses

Schema

    key_shares

    object[]

    required

  • Array [

  • key_idKeyIdrequired
    key_typeKeyTyperequired

    Represents the various types of cryptographic keys supported in the system.

    Possible values: [NotInititalizedYet, Ecdsa, Ed25519, ExportableEd25519, BIP340, Sr25519, HmacSha256]

    key_users

    object[]

    required

  • Array [

  • usage_permissionKeyUsagePermissionrequired

    Specifies the permission levels for key usage within the system.

    Possible values: [use, admin]

    user_idUserIdrequired
  • ]

  • namestring | nullnullable
  • ]